<sqtm-core-configurable-banner />

<div
  class="full-height full-width workbench-layout flex-row overflow-hidden neutral-background-color"
>
  <div class="full-height flex-column overflow-hidden bordered">
    <div class="m-t-15 m-l-10 m-r-10 flex-fixed-size flex-row">
      <div class="full-width">
        <sqtm-core-text-field
          [formGroup]="formGroup"
          [fieldName]="'name'"
          [placeholder]="
            'sqtm-core.custom-report-workspace.create-custom-export.workbench.placeholder.export-name'
              | translate
          "
          [serverSideFieldValidationError]="fieldValidationErrors"
          [initialFocus]="true"
          (inputBlurred)="changeName()"
        >
        </sqtm-core-text-field>
      </div>
    </div>

    <div class="full-width p-10">
      <div
        class="full-width p-10 container-border container-background-color flex-column"
      >
        <span class="block-title">{{
          'sqtm-core.generic.label.perimeter' | translate | capitalize
        }}</span>
        <sqtm-app-custom-export-scope-selector
          [scope]="(workbenchService.state$ | async).craftedExport.scope"
          (scopeChanged)="handleScopeChange($event)"
        >
        </sqtm-app-custom-export-scope-selector>
      </div>
    </div>

    <div class="full-width full-height p-10 flex-grow-shrink">
      <div
        class="full-width full-height p-10 container-border container-background-color flex-column"
        [sqtmCoreDraggableDropZone]="'custom-export-workbench-attributes'"
        [attr.data-test-element-id]="
          'custom-export-workbench-attributes-drop-zone'
        "
        [showHover]="true"
        (drop)="handleDropAttribute($event)"
      >
        <span class="block-title m-b-10">
          {{
            'sqtm-core.custom-report-workspace.create-custom-export.workbench.label.selected-attributes'
              | translate
          }}
        </span>
        @if (selectedColumns$ | async; as selectedColumns) {
          @if (selectedColumns.length === 0) {
            <div
              [attr.data-test-element-id]="'hint-message'"
              class="full-width full-height flex-column font-16-px sqtm-core-centered-message"
            >
              {{
                'sqtm-core.custom-report-workspace.create-custom-export.workbench.columns.panel-hint'
                  | translate
              }}
            </div>
          } @else {
            <div class="full-width full-height selected-criteria-scroller">
              @for (column of selectedColumns; track column) {
                <sqtm-app-custom-export-column-capsule
                  [attr.data-test-element-id]="'columnField'"
                  [column]="column"
                  [showRemoveButton]="true"
                  [showEntityName]="true"
                  (removeClicked)="handleRemoveAttribute(column)"
                >
                </sqtm-app-custom-export-column-capsule>
              }
            </div>
          }
        }
      </div>
    </div>

    <div
      class="full-width flex-fixed-size flex-row m-10"
      style="margin-top: auto"
    >
      <button
        [attr.data-test-element-id]="'add-custom-export'"
        class="flex-fixed-size m-l-auto"
        nz-button
        nzType="primary"
        (click)="handleAdd()"
        [nzLoading]="false"
        [disabled]="!(canAdd$ | async)"
      >
        {{ confirmButtonKey | translate }}
      </button>
      <button
        [attr.data-test-element-id]="'cancel'"
        class="flex-fixed-size m-l-10 m-r-20"
        nz-button
        nzType="default"
        [disabled]="false"
        (click)="handleCancel()"
      >
        {{ 'sqtm-core.generic.label.cancel' | translate }}
      </button>
    </div>
  </div>

  <div class="full-height flex-fixed-size flex-column">
    <div
      class="sqtm-core-screen-title title p-b-25 p-t-10 flex-fixed-size full-width flex-row"
    >
      <span class="m-10">
        {{
          'sqtm-core.custom-report-workspace.create-chart-view.attributes.title'
            | translate
        }}
      </span>
      <i
        [attr.data-test-icon-id]="'help-rate'"
        nz-icon
        nzType="sqtm-core-generic:help"
        nzTheme="outline"
        nz-tooltip
        [nzTooltipTitle]="
          'sqtm-core.custom-report-workspace.create-custom-export.workbench.columns.tree-help'
            | translate
        "
        class="current-workspace-button action-icon-size m-t-10 m-r-20 m-l-auto"
      >
      </i>
    </div>
    <div class="full-height full-width">
      @if (availableAttributes | async; as orderedColumnProto) {
        <sqtm-app-custom-export-column-selector>
        </sqtm-app-custom-export-column-selector>
      }
    </div>
  </div>
</div>
